Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rsa.authagent.authapi
Class Ace5Session

    java.lang.Object
      com.rsa.authagent.authapi.Ace5Session

All Implemented Interfaces:
  AuthSession

    public class Ace5Session

extends java.lang.Object
implements AuthSession

This is the user's authentication session that performs an auththentication request. It implements functionality in the ACE5 API.

Field Summary

Fields inherited from interface com.rsa.authagent.authapi.AuthSession
`ACCESS_DENIED, ACCESS_OK, NEW_PIN_REQUIRED, NEXT_CODE_BAD, NEXT_CODE_REQUIRED, PIN_ACCEPTED, PIN_REJECTED`

Method Summary
`int` | `check(java.lang.String userID, java.lang.String passCode)` Requests the Authentication Manager to validate the user's passcode.
`int` | `clientCheck(java.lang.String userID, java.lang.String passCode, java.net.InetAddress clientAddr)` Requests the Authentication Manager to validate the user's passcode on behalf of the RSA Authentication Agent, which is represented by an IP address.
`void` | `close()` Cleans up the session data and closes any open sockets.
`long` | `getAceTime()` Obtains the UTC time of the Authentication Manager.
`int` | `getAuthStatus()` Calls check(), clientCheck(), lock(), next(), and pin() to obtain the status of the last user's authentication request.
`PinData` | `getPinData()` Obtains the PIN parameters, including maximum and minimum lengths, PIN generation policy, and any PIN restrictions.
`java.lang.String` | `getShell()` Gets the Shell value
`int` | `lock(java.lang.String userID)` Requests the Authentication Manager to lock the user name that the user entered.
`int` | `next(java.lang.String nextCode)` To confirm the user's possession of the token, the Authentication Manager in certain instances puts the user into the Next Tokencode mode, requiring the user to enter the next tokencode displayed on the RSA SecurID token.
`int` | `pin(java.lang.String userPin)` The first time a user authenticates with an RSA SecurID token, the user is in New PIN mode, in which the user is either assigned or must choose a PIN.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### check

    public int check(java.lang.String userID,
                     java.lang.String passCode)
              throws AuthAgentException

  Description copied from interface: `AuthSession`
  Requests the Authentication Manager to validate the user's passcode.

  Specified by:
    `check` in interface `AuthSession`
  Parameters:
    `userID` - user name entered during the current authentication request. Maximun length allowed for userID is 64.
    `passCode` - RSA SecurID passcode that the user supplied during authentication. Maximun length allowed for passCode is 16.
  Returns:
    status code of the authentication request
  Throws:
    `AuthAgentException`
  See Also:
    `AuthSession.check(java.lang.String, java.lang.String)`

### clientCheck

    public int clientCheck(java.lang.String userID,
                           java.lang.String passCode,
                           java.net.InetAddress clientAddr)
                    throws AuthAgentException

  Description copied from interface: `AuthSession`
  Requests the Authentication Manager to validate the user's passcode on behalf of the RSA Authentication Agent, which is represented by an IP address.

  Specified by:
    `clientCheck` in interface `AuthSession`
  Parameters:
    `userID` - user name entered in the current authentication request. Maximun length allowed for userID is 64.
    `passCode` - RSA SecurID passcode that the user supplied during authentication. Maximun length allowed for passCode is 16.
    `clientAddr` - IP address of the RSA Authentication Agent initiating the request
  Returns:
    status code of the authentication request
  Throws:
    `AuthAgentException`
  See Also:
    `com.rsa.authagent.authapi.AuthSession#clientCheck(java.lang.String, java.lang.String, java.lang.String)`

### close

    public void close()
               throws AuthAgentException

  Description copied from interface: `AuthSession`
  Cleans up the session data and closes any open sockets.

  Specified by:
    `close` in interface `AuthSession`
  Throws:
    `AuthAgentException`
  See Also:
    `AuthSession.close()`

### getAceTime

    public long getAceTime()
                    throws AuthAgentException

  Description copied from interface: `AuthSession`
  Obtains the UTC time of the Authentication Manager.

  Specified by:
    `getAceTime` in interface `AuthSession`
  Returns:
    UTC time in milliseconds since 1/1/1970 00:00:00.000
  Throws:
    `AuthAgentException`
  See Also:
    `AuthSession.getAceTime()`

### getAuthStatus

    public int getAuthStatus()
                      throws AuthAgentException

  Description copied from interface: `AuthSession`
  Calls check(), clientCheck(), lock(), next(), and pin() to obtain the status of the last user's authentication request.

  Specified by:
    `getAuthStatus` in interface `AuthSession`
  Returns:
    status code of the last user's authentication request
  Throws:
    `AuthAgentException`
  See Also:
    `AuthSession.getAuthStatus()`

### getShell

    public java.lang.String getShell()
                              throws AuthAgentException

  Gets the Shell value

  Specified by:
    `getShell` in interface `AuthSession`
  Returns:
    the Shell string value
  Throws:
    `AuthAgentException`

### getPinData

    public PinData getPinData()
                       throws AuthAgentException

  Description copied from interface: `AuthSession`
  Obtains the PIN parameters, including maximum and minimum lengths, PIN generation policy, and any PIN restrictions.

  First call check() or clientCheck(). Call this API only when the status code from check() or clientCheck() indicates the user is in New PIN mode, else it throws an exception.

  Specified by:
    `getPinData` in interface `AuthSession`
  Returns:
    the PIN parameters
  Throws:
    `AuthAgentException`
  See Also:
    `AuthSession.getPinData()`

### lock

    public int lock(java.lang.String userID)
             throws AuthAgentException

  Description copied from interface: `AuthSession`
  Requests the Authentication Manager to lock the user name that the user entered.

  Specified by:
    `lock` in interface `AuthSession`
  Parameters:
    `userID` - user name entered during the current authentication request. Maximun length allowed for userID is 64.
  Returns:
    status code of the current authentication request
  Throws:
    `AuthAgentException`
  See Also:
    `AuthSession.lock(java.lang.String)`

### next

    public int next(java.lang.String nextCode)
             throws AuthAgentException

  Description copied from interface: `AuthSession`
  To confirm the user's possession of the token, the Authentication Manager in certain instances puts the user into the Next Tokencode mode, requiring the user to enter the next tokencode displayed on the RSA SecurID token.

  Specified by:
    `next` in interface `AuthSession`
  Parameters:
    `nextCode` - next tokencode displayed on the user's RSA SecurID token and entered by the user. Maximun length allowed for nextCode is 16.
  Returns:
    status code of the authentication request
  Throws:
    `AuthAgentException`
  See Also:
    `AuthSession.next(java.lang.String)`

### pin

    public int pin(java.lang.String userPin)
            throws AuthAgentException

  Description copied from interface: `AuthSession`
  The first time a user authenticates with an RSA SecurID token, the user is in New PIN mode, in which the user is either assigned or must choose a PIN.

  Specified by:
    `pin` in interface `AuthSession`
  Parameters:
    `userPin` - PIN the user supplies, if applicable, or the system-generated PIN. Maximun length allowed for userPin is 16.
  Returns:
    status code of the authentication request
  Throws:
    `AuthAgentException`
  See Also:
    `AuthSession.pin(java.lang.String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999 - 2011 EMC Corporation. All Rights Reserved.